DCMTK - Conformance #1000

Add support for CP-2083: Add uncompressed encapsulated Transfer Syntax for encoding very large

pixel data sets—
2021-07-13 17:25 - Jorg Riesmeier

Status: New Start date: 2021-07-13
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 70%
Category: Library and Apps Estimated time: 24:00 hours
Target version: 3.7.1+

Module: dcmdata, dcmnet and possibly others Compiler:

Operating System:

Description

Rationale for Correction:—

Very large uncompressed Pixel Data may exceed the size limit (2132-2) of the data element, yet be required for specific

applications—

that need the information in one file but can tolerate fragmentation into frames (e.g., dual-personality DICOM-TIFF WSI files).—
Add a Transfer Syntax that uses the encapsulation mechanism (sequence items in the Pixel Data element), which permits

unlimited—
length Pixel Data (within the limit of 2*32-1 frames due to the VR of Number of Frames.—

See: ftp://medical.nema.org/medical/dicom/final/cp2083_ft_UncompressedEncapsulated.pdf

Related issues:
Related to DCMTK - Conformance #1019: Add support for Supplement 225: Multi-F... Closed

2022-04-19

History

#1 - 2021-07-13 17:29 - JO6rg Riesmeier
- Category set to Library and Apps

#2 - 2021-11-12 11:50 - Michael Onken

- Target version changed from 3.6.7 to 3.7.1+

#3 - 2022-07-20 10:09 - J6rg Riesmeier
- Related to Conformance #1019: Add support for Supplement 225: Multi-Fragment Video Transfer Syntax added

#4 - 2022-12-04 17:51 - J6rg Riesmeier

- Target version changed from 3.7.1+ to 3.6.8

#5 - 2023-01-16 15:39 - J6rg Riesmeier

- Assignee set to Jorg Riesmeier

#6 - 2023-05-30 10:41 - Jorg Riesmeier

- Target version changed from 3.6.8 to 3.7.1+

#7 - 2024-05-25 21:22 - J6rg Riesmeier
- % Done changed from 0 to 10

Some preparatory changes have already been made (see commit 98727144c6 and 6e24fb9c9d).

#8 - 2024-06-26 18:14 - Jorg Riesmeier
- % Done changed from 10 to 70
- Estimated time set to 24:00 h
ftp://medical.nema.org/medical/dicom/final/cp2083_ft_UncompressedEncapsulated.pdf

Initial support for this new transfer syntax has been implemented with commit af8b94d18 and 402290766.
